export const ColorLegend = ({ colorScale, 
                             tickSpacing = 20, 
                             tickSize = 10, 
                             tickTextOffset = 20,
                             innerWidth={innerWidth},
                             contries_val={contries_val},
              							 lastday_val={lastday_val},
                            yScale={yScale},
                            yValue={yValue},
                            onHover,
                             hoveredValue,
                             fadeOpacity
                            
                            }) =>
  colorScale.domain().map((domainValue, i) => (
    <g className="tick"
           transform={`translate(720, lastday_val[i])`}
      	    onMouseEnter={() => {onHover(domainValue);}}
       onMouseOut={() => {onHover(null);}}
       opacity={hoveredValue && domainValue !== hoveredValue ? fadeOpacity : 1}

         >
          <text x={innerWidth+10} y={yScale(lastday_val[i])} dy=".16em" > {contries_val[i]} </text>
        </g>
  ));